
Redmine - Defect #5191

Upgrade Issue

2010-03-25 11:54 - Jonathan Hall

Status: Closed Start date: 2010-03-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.3

Description

Redmine 0.8.5.devel.2902 (MySQL)

New server (Win 64bit 2008), clean install, latest stable Redmine release, latest MySQL Community release (5.1 I think)

DB:Migrate results in:

Mysql::Error: Key column 'parent_id' doesn't exist in table: CREATE  INDEX `inde

x_wiki_pages_on_parent_id` ON `wiki_pages` (`parent_id`)

History

#1 - 2010-03-25 12:09 - Yuki Kita

Redmine does not support MySQL 5.1 currently.

Use MySQL 5.0.

Please see RedmineInstall for more information.

#2 - 2010-04-04 06:54 - Jonathan Hall

Okay now running 5.0.67 and still have the same issue. This is also the version I have running in my production environment.

Cheers

#3 - 2010-04-04 22:49 - Jonathan Hall

Just tried version 9.0 with the same result :(

#4 - 2010-04-13 05:19 - Jonathan Hall

On the current build, when I try to go to the wiki tab I get:

D:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.4/lib/active_record/attribute_methods.rb:255:in `method_missing'

D:/RedMine/app/models/wiki_page.rb:113:in `editable_by?'

D:/RedMine/app/controllers/wiki_controller.rb:226:in `editable?'

D:/RedMine/app/controllers/wiki_controller.rb:64:in `edit'

D:/RedMine/app/controllers/wiki_controller.rb:36:in `index'

Could this be an issue with my rails?

#5 - 2010-07-12 22:11 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Have you been able to solve your problem?

Generally support requests are handled in the forums, but make sure you have the correct software versions beforehand (redmine needs rails 2.3.5

for example, not sure that 2.3.4 works).

#6 - 2010-08-02 05:17 - Jonathan Hall

Nope, not resolved. Will take it to the forum
